Author Topic: break at point question  (Read 5411 times)

0 Members and 1 Guest are viewing this topic.

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
break at point question
« Reply #15 on: September 30, 2004, 10:04:47 PM »
Quote from: whdjr
Quote from: CAB
Here is another simple one.

Wasn't mine simple enough????
Quote from: whdjr
Here's a lisp I wrote to do just that:
Code:
(defun c:bk (/ ent)
  (command "break"
      (setq ent (entsel "\nPick point to break Object:  "))
      (cadr ent)
  )
  (princ)
)

Try it you might like it.


It was fine, I was just sharing my old routine.
Yours works with one click, very nice. But Osnaps will foil it.
I think I would do it this way.
Code: [Select]
(defun c:bk (/ ent)
  (and (setq ent (entsel "\nPick point to break Object: "))
       (command ".break" ent "non" (cadr ent)) )
  (princ)
)


I like the two pick because it assure the correct line is broken when picking
at an intersection.
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
break at point question
« Reply #16 on: September 30, 2004, 10:38:55 PM »
Here is another one point pick that uses crosshair ILO pick box.
Code: [Select]
;;  Break at pick point with cross hair
;;  Pick point is osnaps sensitive, can cause selection
;;  of wrong object or point, press F3 if needed
(defun c:bk (/ pt ent)
  (and (setq pt (getpoint "\nPick point to break Object: "))
       (setq ent (nentselp pt))
       (command ".break" ent "non" pt))
  (princ)
)
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

whdjr

  • Guest
break at point question
« Reply #17 on: October 01, 2004, 09:05:48 AM »
Quote from: CAB
It was fine, I was just sharing my old routine.
Yours works with one click, very nice. But Osnaps will foil it.
I think I would do it this way.


Running osnaps don't work while using entsel unless you type it in, at least in A2K.

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
break at point question
« Reply #18 on: October 01, 2004, 09:17:35 AM »
With MID on select a point very close to the mid point on a line.
In ACAD2000 a small gap is removed because the picked point is
not at the mid point and the second point (cadr ent) is affected
by the snap and goes to the mid point of the line.
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

whdjr

  • Guest
break at point question
« Reply #19 on: October 01, 2004, 09:44:01 AM »
Quote from: CAB
With MID on select a point very close to the mid point on a line.
In ACAD2000 a small gap is removed because the picked point is
not at the mid point and the second point (cadr ent) is affected
by the snap and goes to the mid point of the line.

I was talking my code.

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
break at point question
« Reply #20 on: October 01, 2004, 10:03:37 AM »
Quote from: whdjr
Quote from: CAB
With MID on select a point very close to the mid point on a line.
In ACAD2000 a small gap is removed because the picked point is
not at the mid point and the second point (cadr ent) is affected
by the snap and goes to the mid point of the line.

I was talking my code.

So am I :)
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.